#!/bin/bash

# Estes ids podem ser encontrados na tabela comum.sistemas do banco sistemas comum
SIPAC=1
SIGAA=2
SIGRH=7
ADMIN=8
SIGED=9

echo "Criando o estrutura de diretórios principais..."
rm -rf /var/jboss_config/usersOnline
mkdir /var/jboss_config/usersOnline

# SIPAC
echo "Criando o diretório para o SIPAC..."
rm -rf /var/jboss_config/usersOnline/$SIPAC
mkdir /var/jboss_config/usersOnline/$SIPAC

# SIGAA
echo "Criando o diretório para o SIGAA..."
rm -rf /var/jboss_config/usersOnline/$SIGAA
mkdir /var/jboss_config/usersOnline/$SIGAA

# SIGRH
echo "Criando o diretório para o SIGRH..."
rm -rf /var/jboss_config/usersOnline/$SIGRH
mkdir /var/jboss_config/usersOnline/$SIGRH

# SIGADMIN
echo "Criando o diretório para o ADMIN..."
rm -rf /var/jboss_config/usersOnline/$ADMIN
mkdir /var/jboss_config/usersOnline/$ADMIN

# SIGED
echo "Criando o diretório para o SIGED..."
rm -rf /var/jboss_config/usersOnline/$SIGED
mkdir /var/jboss_config/usersOnline/$SIGED

echo "---== Os diretórios foram criados com sucesso! ==---"
